Package org.eclipse.cdt.core

## Interface ICOwner

    @Deprecated
    public interface ICOwner

Deprecated.

Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `configure​(ICDescriptor cproject)` Deprecated.
`void` `update​(ICDescriptor cproject, String extensionID)` Deprecated.

### Method Detail

#### configure

    void configure​(ICDescriptor cproject)
            throws org.eclipse.core.runtime.CoreException

Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`

#### update

    void update​(ICDescriptor cproject,
                String extensionID)
         throws org.eclipse.core.runtime.CoreException

Deprecated.

Throws:
  `org.eclipse.core.runtime.CoreException`